Subject: bug#12648: 24.2.50; display-buffer switches to another frame

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Oct 2012 09:27:01 -0400

>  `inhibit-switch-frame' -- A non-nil value prevents any other
>                            frame from being raised or selected,
>                            even if the window is displayed there.
> to t.  The semantics of the latter is not very clear to me because
> with most window managers Emacs cannot prevent a new frame from being
> raised and selected (at least that's what I've been told repeatedly).

I'm not sure what is its semantics either, but the problem you're
referring to is specifically when *creating* a new frame, so it
basically means that inhibit-switch-frame can only work reliably if it
prevents creation of new frames.  But it might still make a difference
when using an existing frame by preventing that we raise that frame.
Not sure if it will also repvent it from being de-iconified (which
would again risk raising it outside of our control).

        Stefan